Bug 181911 - add scsi media changer support
add scsi media changer support
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-02-17 13:25 EST by Avi Kivity
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-28 05:36:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
add /dev/changer rule to udev (413 bytes, patch)
2006-02-17 13:27 EST, Avi Kivity
no flags Details | Diff

  None (edit)
Description Avi Kivity 2006-02-17 13:25:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux; X11; i686) KHTML/3.5.0 (like Gecko)

Description of problem:
udev now creates media changer /dev nodes as /dev/sg*. finding the changer 
among the disks, tapes, and other stuff is no fun. 
attached patch creates media changer nodes as /dev/changer*. /dev/changer is 
the mtx default, so one media changer will work out of the box. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mtx inquiry  

Actual Results:  cannot open SCSI device '/dev/changer' - No such file or directory 

Expected Results:  Product Type: Medium Changer 
Vendor ID: 'HP      ' 
Product ID: 'DAT72X6         ' 
Revision: 'B409' 
Attached Changer: No 

Additional info:
Comment 1 Avi Kivity 2006-02-17 13:27:41 EST
Created attachment 124827 [details]
add /dev/changer rule to udev

add /dev/changer rule to udev
Comment 2 Charles Lopes 2006-03-01 05:18:16 EST
Please add this to RHEL4 as well. For info, mtx is one of the tools that look
for /dev/changer by default. Could GROUP="disk" be added to the rule as well?
Otherwise MODE="0660" is not so useful.

Comment 3 Charles Lopes 2006-03-01 05:21:16 EST
Sorry I forgot to mention that FC3 and RHEL4 would only need:

KERNEL="sg[0-9]*", BUS="scsi", SYSFS{type}="8", SYMLINK="changer%e"

while FC4 and FC5 would need:

KERNEL="sg[0-9]*", BUS="scsi", SYSFS{type}="8", SYMLINK="changer%e",
GROUP="disk", MODE="0660"

Note You need to log in before you can comment on or make changes to this bug.